﻿' Strings.vb
' compile with: /doc:Strings.xml
' <copyright>Copyright (c) Microsoft Corporation. All rights reserved.
' </copyright>
' <summary>This file contains string constants used in the Office Plan sample.</summary>
Imports System.Diagnostics.CodeAnalysis



''' <summary>The Strings class provides all the string constants that are
''' shared between the class modules in the project.</summary>
Public NotInheritable Class Strings
    ' <summary>The string resource names are used to read the strings
    ' from the resource file.</summary>

    ''' <summary>Disable constructor for class with only static members.</summary>
    Private Sub New()
    End Sub

    ''' <summary>Resource file name.</summary>
    Public Const ResourceFilename As String = "NetworkPlanSample.Resources"
    ''' <summary>Configuration file name.</summary>
    Public Const ConfigurationFilename As String = "ConfigurationFilename"
    ''' <summary>Product data file name.</summary>
    Public Const ProductDataFilename As String = "ProductDataFilename"
    ''' <summary>Visio stencil file name.</summary>
    Public Const ProductStencilFilename As String = "ProductStencilFilename"
    ''' <summary>Visio stencil file name.</summary>
    Public Const NetworkStencilFilename As String = "NetworkStencilFilename"

    ''' <summary>Grid control description column header text.</summary>
    Public Const GridDescriptionHeader As String = "GridDescriptionHeader"
    ''' <summary>Grid control product id column header text.</summary>
    Public Const GridProductIdHeader As String = "GridProductIdHeader"
    ''' <summary>Grid control quantity column header text.</summary>
    Public Const GridQuantityHeader As String = "GridQuantityHeader"
    ''' <summary>Grid control range column header text.</summary>
    Public Const GridRangeHeader As String = "GridRangeHeader"
    ''' <summary>Grid control retail price column header text.</summary>
    Public Const GridRetailPriceHeader As String = "GridRetailPriceHeader"
    ''' <summary>Grid control wholesale price column header text.</summary>
    Public Const GridWholesalePriceHeader As String = "GridWholesalePriceHeader"

    ''' <summary>Visio application object null error message.</summary>
    Public Const NullApplicationError As String = "NullApplicationError"
    ''' <summary>Visio document object null error message.</summary>
    Public Const NullDocumentError As String = "NullDocumentError"
    ''' <summary>Missing stencil error message.</summary>
    Public Const MissingStencilError As String = "MissingStencilError"
    ''' <summary>Missing master shape error message.</summary>
    Public Const MissingMasterError As String = "MissingMasterError"
    ''' <summary>Database connect error message.</summary>
    Public Const DatabaseConnectErrorMessage As String = "DatabaseConnectErrorMessage"
    ''' <summary>File not found error message.</summary>
    Public Const FileNotFoundErrorMessage As String = "FileNotFoundErrorMessage"
    ''' <summary>Security error message.</summary>
    Public Const SecurityErrorMessage As String = "SecurityErrorMessage"
    ''' <summary>COM error message.</summary>
    Public Const ComErrorMessage As String = "ComErrorMessage"
    ''' <summary>Unknown error message.</summary>
    Public Const UnknownErrorMessage As String = "UnknownErrorMessage"
    ''' <summary>Application error message.</summary>
    Public Const ApplicationErrorMessage As String = "ApplicationErrorMessage"
    ''' <summary>Product data not available error message.</summary>
    Public Const ProductDataNotAvailableErrorMessage As String = "ProductDataNotAvailableErrorMessage"
    ''' <summary>Startup error message.</summary>
    Public Const VisioStartupError As String = "VisioStartupError"

    ''' <summary>File open dialog caption text.</summary>
    Public Const OpenDialogTitle As String = "OpenDialogTitle"
    ''' <summary>File open dialog file types filter.</summary>
    Public Const OpenDialogFilter As String = "OpenDialogFilter"
    ''' <summary>File save dialog caption text.</summary>
    Public Const SaveDialogTitle As String = "SaveDialogTitle"
    ''' <summary>File save dialog file types filter.</summary>
    Public Const SaveDialogFilter As String = "SaveDialogFilter"
    ''' <summary>Save changes prompt.</summary>
    Public Const SavePrompt As String = "SavePrompt"
    ''' <summary>Save changes as prompt.</summary>
    Public Const SaveAsPrompt As String = "SaveAsPrompt"

    ' <summary>The file name information includes the name of the stencil
    ' file with the furniture shapes. Also included are the suffix
    ' values for Visio stencil and document files.</summary>

    ''' <summary>Visio stencil suffix VSS.</summary>
    Public Const VssSuffix As String = ".VSS"
    ''' <summary>Visio xml stencil suffix VSX.</summary>
    Public Const VsxSuffix As String = ".VSX"
    ''' <summary>Visio drawing suffix VSD.</summary>
    Public Const VsdSuffix As String = ".VSD"
    ''' <summary>Visio xml drawing suffix VDX.</summary>
    Public Const VdxSuffix As String = ".VDX"

    ''' <summary> The only cell that needs to be read from the shape is
    ''' the product ID.</summary>
    Public Const ProductIdCellName As String = "Prop.ProductId"

End Class

